summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Talos Thoren <talosthoren@gmail.com>2014-07-16 23:05:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-17 07:25:07 +0700
commit1b3acf78123e116f7d8b6dc88e3b2cfa8f43c5d0 (patch)
treec943820ac84f3d908cdc29e77c3a43c7104d3ed6 /games
parent8ecf6de7da883347a7f7c8c3a606a6f087c11c3a (diff)
downloadslackbuilds-1b3acf78123e116f7d8b6dc88e3b2cfa8f43c5d0.tar.gz
slackbuilds-1b3acf78123e116f7d8b6dc88e3b2cfa8f43c5d0.tar.xz
games/steam: Added (digital distribution).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/steam/README5
-rw-r--r--games/steam/doinst.sh3
-rw-r--r--games/steam/slack-desc19
-rw-r--r--games/steam/steam.SlackBuild81
-rw-r--r--games/steam/steam.info10
5 files changed, 118 insertions, 0 deletions
diff --git a/games/steam/README b/games/steam/README
new file mode 100644
index 0000000000..9711dad8fb
--- /dev/null
+++ b/games/steam/README
@@ -0,0 +1,5 @@
+Steam is an internet-based digital distribution, digital rights management,
+multiplayer, and social networking platform developed by Valve Corporation.
+Steam provides the user with installation and automatic updating of games on
+multiple computers, and community features such as friends lists and groups,
+cloud saving, and in-game voice and chat functionality.
diff --git a/games/steam/doinst.sh b/games/steam/doinst.sh
new file mode 100644
index 0000000000..5013ef6d40
--- /dev/null
+++ b/games/steam/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/steam/slack-desc b/games/steam/slack-desc
new file mode 100644
index 0000000000..9c41f76d13
--- /dev/null
+++ b/games/steam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+steam: steam (digital distribution)
+steam:
+steam: Steam is an internet-based digital distribution, digital rights
+steam: management, multiplayer, and social networking platform developed by
+steam: Valve Corporation.
+steam:
+steam: Steam provides the user with installation and automatic updating of
+steam: games on multiple computers, and community features such as friends
+steam: lists and groups, cloud saving, and in-game voice and chat
+steam: functionality.
+steam: Project URL: http://store.steampowered.com
diff --git a/games/steam/steam.SlackBuild b/games/steam/steam.SlackBuild
new file mode 100644
index 0000000000..2221cea9b5
--- /dev/null
+++ b/games/steam/steam.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for steam
+
+# Copyright Talos Thoren
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=steam
+VERSION=${VERSION:-1.0.0.48}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\_$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib64
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/ $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/steam/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/steam/steam.info b/games/steam/steam.info
new file mode 100644
index 0000000000..2399cd41b8
--- /dev/null
+++ b/games/steam/steam.info
@@ -0,0 +1,10 @@
+PRGNAM="steam"
+VERSION="1.0.0.48"
+HOMEPAGE="http://store.steampowered.com/"
+DOWNLOAD="http://repo.steampowered.com/steam/archive/precise/steam_1.0.0.48.tar.gz"
+MD5SUM="d0d9b46bb44d3a3b6b1b44304afe7995"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL flashplayer-plugin"
+MAINTAINER="Talos Thoren"
+EMAIL="talosthoren@gmail.com"